.page-col-banner {
  text-align: center;

  &.has-heading-picture {
    h1.display-3 {
      font-size: 0;
      height: 6rem;
      background-size: contain;
      background-repeat: no-repeat;
      background-position: bottom center;
    }
  }

  &.has-side-picture {
    .side-picture, .heading-content {
      background-position: center center;
      background-size: contain;
      background-repeat: no-repeat;
      width: 100%;
      min-height: 12rem;
      margin: $spacer * 2;

      @include media-breakpoint-up(md) {
        width: 45%;
        margin: 0;
      }
    }
  }

  &.side-picture-mobile-hidden .side-picture {
    display: none;
  }

  &.side-picture-mobile-before {
    .side-picture {
      order: 0;
    }

    .heading-content {
      order: 1;
    }
  }

  @include media-breakpoint-up(md) {
    text-align: left;

    &.has-heading-picture h1.display-3 {
      background-position: bottom left;
    }

    &.side-picture-mobile-hidden .side-picture {
      display: block;
    }

    &.side-picture-mobile-before {
      .side-picture {
        order: 1;
      }

      .heading-content {
        order: 0;
      }
    }
  }
}